### 5.6.0 | 2024-12-12
- Fixed an issue where the List field passes the raw entry value to Mailchimp, instead of the expected comma-separated list of values.
- Fixed code placement to be consistent with the WordPress coding standards.

### 5.5.0 | 2024-09-23
- Added support for instructing the Mailchimp API to skip merge field validation by using the [gform_mailchimp_subscription](https://docs.gravityforms.com/gform_mailchimp_subscription/) filter to add the `skip_merge_validation` argument to the request.
- Updated the status indicator component to be compatible with Gravity Forms v2.8.8.
- Removed the deprecated gform_mailchimp_args_pre_subscribe filter.

### 5.4.0 | 2024-04-17
- Fixed an issue where the status of an existing subscribed list/audience member changes to pending when double opt-in is enabled on the feed.
- Reminder: The gform_mailchimp_args_pre_subscribe filter is deprecated and will be removed in a future version. Please use the [gform_mailchimp_subscription](https://docs.gravityforms.com/gform_mailchimp_subscription/) filter instead.

### 5.3.0 | 2024-02-29
- Updated feed processing to include the tags in the request to the add/update member endpoint instead of making a separate request to the member tags endpoint.
- Fixed an issue where an "Unable to add/update subscriber: Invalid Resource" error occurs when mapped field values include HTML entities.
- Fixed a `Using ${var} in strings is deprecated, use {$var} instead` deprecation notice with PHP 8.2.
- Fixed an error where the Mailchimp connection alerts appear when attempting to connect other add-ons.

### 5.2 | 2023-02-15
- Added Gravity Forms license key to oAuth process.
- Added support for async (background) feed processing to improve form submission performance.
- Fixed an issue that prevents the Marketing Permission setting from being applied to users in certain situations.
- Fixed an issue where the opt-in email is not sending to already pending members when they resubscribe.

### 5.1 | 2022-05-11
- Fixed an issue where the save settings button isn't visible when creating or editing a feed.
- Fixed a display issue with some conditional logic feed settings.
- Fixed an issue where API calls are being made on all admin pages when checking for deprecated keys.


### 5.0 | 2021-09-29
- Updated the authorization flow to connect to the Mailchimp API via Oauth.


### 4.9 | 2021-04-28
- Fixed an issue where conditional logic is not correctly identifying matching selections when forms contain a multi-select field.
- Fixed an issue where the add-on icon is missing on the form settings screen in Gravity Forms 2.5.


### 4.8 | 2020-09-09
- Added support for Gravity Forms 2.5.
- Fixed birthday merge fields no longer being sent in the correct format expected by the Mailchimp API.


### 4.7 | 2020-03-24
- Added translations for Hebrew, Hindi, Japanese, and Turkish.
- Added support for feed duplication.
- Updated stylesheets to use minified versions.
- Updated strings containing MailChimp to Mailchimp and list(s) to audience(s).
- Fixed a PHP error which could occur when using the http_request_timeout filter with WP 5.1+.


### 4.6 | 2019-03-22
- Added support for Marketing Permissions (GDPR) fields.


### 4.5 | 2018-12-19
- Fixed new tags not being added when updating existing list member.


### 4.4 | 2018-10-29
- Added support for MailChimp contact tags.


### 4.3 | 2018-03-27
- Added security enhancements.
- Added GPL to plugin header.
- Updated API library to public property in support of MailChimp block.
- Updated Plugin URI and Author URI to use https.
- Fixed the MailChimp API returning a validation error for list date fields set to the DD/MM/YYYY format.
- Fixed existing member retaining a status of cleaned or transactional instead of changing to pending or subscribed.
- Fixed birthday and date merge fields not being sent in the defined date format.
- Fixed an issue with the member status on resubscription to the list.
- Fixed PHP notice if the interests are not returned by the MailChimp API for the existing member.
- Fixed issue with css file that was being enqueued in every page.


### 4.2 | 2017-04-03
- Added additional logging when checking if a user's subscription status.
- Added existing member object as sixth parameter of *gform_mailchimp_subscription* filter.
- Fixed PHP warning when attempting to check for existing interests when member did not belong to any interest categories.
- Fixed Fatal error that happened in certain situations.
- Fixed existing interest categories not being properly associated to subscription object.
- Fixed an issue with subscriptions not being created due to empty merge fields.
- Fixed an issue which could prevent the feed groups being converted to interest categories when upgrading from older versions of the add-on.
- Fixed inability to use double opt-in with existing members.
- Fixed API response error handling; API key was incorrectly shown as valid when a 403 Forbidden error was returned.
- Fixed an issue with the field value used for interest category logic evaluation.
- Restored GFMailChimp::get_group_setting_key() for use when upgrading from older versions of MailChimp Add-On.
- Restored double opt-in support for members who are being resubscribed to a list they are unsubscribed from.
- Disabled double opt-in support for members who are being resubscribed to a list they are unsubscribed from. (Member will be automatically subscribed to the list. This is a temporary workaround for an issue with the MailChimp API.)
- Re-introduced support for *gform_mailchimp_keep_existing_groups* filter.


### 4.1 | 2017-01-03
- Added additional error logging when creating a subscription.
- Added support for configuring a note to be added to the subscriber.
- Fixed a fatal error during feed processing when a list field is mapped to an entry property.
- Fixed an issue where an Invalid Resource error would occur if the subscribers merge_fields property was included in the request when empty.
- Fixed an issue with the note being urlencoded during merge tag processing.
- Fixed users not being subscribed due to incorrect address formatting.
- Increased number of merge fields returned for a list.
- Updated feed processing to bypass override empty fields check for address fields.
- Updated maximum number of category interests returned by the API.
- Updated maximum number of interest groups returned by API.
- Updated merge fields field map to only allow Address fields to be mapped to MailChimp address merge fields.
- Updated strings for translations.
- Updated subscription object to use existing member status where possible.


### 4.0 | 2016-12-20
- Added *gform_mailchimp_subscription* filter to modify subscription object.
- Removed 3.0 upgrade page.
- Removed send welcome email as feed settings option.
- Updated API requests to use MailChimp API 3.0.


### 3.7.5 | 2016-11-29
- Fixed strings for translations.


### 3.7.4 | 2016-09-16
- Fixed an issue with multi-input fields available for use with groups logic not including the inputs (i.e. Name and Address).


### 3.7.3 | 2016-05-06
- Updated the MailChimp API to support the WP_PROXY_HOST and WP_PROXY_PORT constants when configuring the cURL options.


### 3.7.2 | 2016-03-11
- Fixed an issue which was preventing feed processing aborting early if there is an issue with the MailChimp API.


### 3.7.1 | 2015-09-23
- Fixed an issue where the cached settings were not cleared when the add-on was uninstalled.
- Fixed a rare issue for some server environments where several groups could be assigned the same settings key causing js issues in the feed editor.
- Fixed an issue where the cached group setting keys could be lost when updating the API key on the plugin settings tab.


### 3.7 | 2015-08-24
- Added form and field specific versions of the *gform_mailchimp_field_value* filter.
- Added logging of group condition evaluation.
- Added $transaction, either Update or Subscribe, as the fifth parameter of the *gform_mailchimp_args_pre_subscribe* filter.
- Updated minimum Gravity Forms version to 1.9.3.
- Updated 'Opt-In Condition' setting label to 'Conditional Logic'.
- Updated feed processing to use get_field_value() when retrieving mapped field values, enabling support for GF_Field::get_value_export with GF 1.9.12.4 and later.
- Updated to use GF_Field::is_conditional_logic_supported to determine which field types should be listed in the group condition fields drop down.
- Fixed an issue with the feed list page if the API key not valid.
- Fixed an issue with the location of the *gform_mailchimp_args_pre_subscribe* filter.
- Fixed an issue with the upgrade routine which caused it run even if a pre-framework version hadn't been installed.
- Remove plugin settings header and add line break after plugin settings description.


### 3.6 | 2015-04-20
- Added filter to allow changing parameters to the API method that returns the MailChimp Lists.
- Added Spanish (es_ES) translation.
- Fixed a low severity security vulnerability in the admin area which could be exploited by authenticated users with form administration permissions.
- Fixed an issue with the members existing groups being lost if no new groups were selected and *gform_mailchimp_keep_existing_groups* is true.


### 3.5 | 2015-02-03
- Updated required version of Gravity Forms to 1.8.17.
- Fixed an issue with Address fields where MailChimp would ignore the passed string if it did not contain the street address, city, state, or zip.


### 3.4 | 2015-02-02
- Added support for the middle name input when preparing Name field values.
- Updated required version of Gravity Forms to 1.9.
- Fixed an issue causing checkbox fields not to be mapped under certain conditions.
- Fixed fatal error with PHP < 5.4.


### 3.3 | 2015-01-30
- Updated logging statements.
- Updated the *gform_mailchimp_field_value filter* to have an additional parameter which includes the name of the custom mapped field.
- Fixed issue causing address not to be mapped properly under certain scenarios.
- Fixed Notice.
- Fixed an issue with the concatenated string for Checkbox fields not being cleared before the next field is processed.
- Fixed a warning when MailChimp interest groups aren't enabled on the list.


### 3.2 | 2014-12-08
- Added hook to allow args to be changed before sending submission to MailChimp.
       add_filter( 'gform_mailchimp_args_pre_subscribe', 'override_mailchimp_params', 10, 4 );
        function override_mailchimp_params( $params, $form, $entry, $feed ) {
            // do stuff

            return $params;
        }

- Added hook to select whether empty mapped fields should override existing values on Mailchimp; defaults to override.
        add_filter('gform_mailchimp_override_empty_fields', '__return_false' );
- Fixed issue where existing groups were not maintained for users already subscribed.
- Fixed notice messages.
- Fixed fatal error displayed on certain situations.


### 3.1 | 2014-11-21
- Fixed issue where grouping assignment was not working for already subscribed users.
- Fixed issue where a fatal error is displayed in certain situations.
- Fixed issue with upgrade that caused configuration not to be copied over in certain situations.


### 3.0 | 2014-11-04
- Added integration with Add-On Framework.
- Added support for sending selected checkboxes as a concatenated string.
- Updated POT file.
- Updated required version of Gravity Forms to 1.8.17.
- Updated to MailChimp API version 2.0.
- Updated files removing closing php tag at the end.
- Fixed a warning when MailChimp interest groups aren't enabled on the list.


### 2.2 | 2013-06-19
- Updated phone number when set to standard format "(#########)######### - ############" to send in required format of #########-#########-############.


### 2.1 | 2013-03-26
- Added Name (Full) as an option to the field mapping list when the form has a Name field set to Normal or Extended format.


### 2.0 | 2013-03-07
- Fixed PHP warnings when no API key was set.
- Added the *gform_mailchimp_field_value* filter to enable the value to be modified before being sent to the MailChimp API.
- Added entry meta to the list of available field mappings.
- Fixed issue with group conditional logic not displaying all possible operators and value drop down correctly.
- Fixed issue with special character in main group name.
- Fixed issue with group conditional logic with non-selection field types.
- Added new hook *gform_mailchimp_allow_resubscription* which allows disabling support for resubscription.
        add_filter('gform_mailchimp_allow_resubscription', '__return_false()');
- Fixed issue saving group settings in admin when sub groups have the same name.


### 1.9 | 2012-11-28
- Updated Group logic to keep existing groups.
- Added filter to change logic back to overriding groups.
        add_filter("gform_mailchimp_keep_existing_groups", "__return_false");
- Updated to treat members as if they were a new subscribe request when currently set to a status on MailChimp's side of unsubscribed, pending, cleaned.
- Fixed issue with special characters in MailChimp Group names causing issues when creating feed.


### 1.8 | 2012-10-24
- Fixed issue with GetFieldValues() when used with groups; was returning full select when only options were required.
- Fixed notices.
- Fixed group names (commas in names are treated by MailChimp as a delimiter indicating multiple groups).


### 1.7 | 2012-07-03
- Fixed issue with some Mapped Fields not being passed (Entry Date, User IP, Source Url, Form Title).
- Added new conditional logic options (greater than, less than, contains starts with, ends with) and support for other conditional fields.
- Fixed notices.
- Fixed issue when testing if email is already in the list.


### 1.6.3 | 2012-03-13
- Added logging.
- Fixed notices.
- Fixed issue with single quotes on feed edit screen creating javascript errors.


### 1.6.2 | 2012-03-01
- Fixed issue with sack script being initialized with an incorrect admin url.
- Fixed issue that causing conflicts with feeds created by older versions of the plugin.


### 1.6.1 | 2012-01-20
- Fixed issue that caused warnings to be displayed on feeds created by older versions.


### 1.6 | 2012-01-05
- Fixed issue where RG_CURRENT_PAGE constant was not available when GF is deactivated.
- Fixed noticed caused where $api variable not declared.
- Added support for MaiChimp Groups so that subscribers can be assigned to a group when added to a list.
- Added Form Title to the list of fields to be mapped.
- Updated procedure that gets the MailChimp lists so that more than 25 lists are returned (up to 100).
- Added integration with PayPal so that subscribers can be added only when payment is received.


### 1.5 | 2011-06-23
- Updated API Wrapper to 1.3 (mini).
- Removed blank strings from POT file to prevent error messages in Poedit.


### 1.4 | 2011-04-25
- Cleaned up notices.
- Fixed issue when using Opt-in condition on a field with multiple single quote characters in the label.
- Fixed issue when creating a feed using forms with HTML markup in field labels.


### 1.3.4
- Cleaned up notices.


### 1.3.3
- Added "Cancel" button to Edit page and updated "Save" and "Update" button verbiage.


### 1.3.2 | 2011-02-06
- Fixed issue with MailChimp lists being displayed as blank values. Taking into account different data formats returned by the API.


### 1.3.1 | 2010-12-15
- Using new MailChimp PHP API wrapper (v. 1.2.6) when authenticating via an API Key.


### 1.3 | 2010-12-15
- Added support for authentication via MailChimp API Key.


### 1.2 | 2010-12-15
- Fixed issue with automatic upgrade on WP 3.0.


### 1.1
- Adding MailChimp capabilities to admin role upon plugin activation.


### 1.0.beta-2
- Added MailChimp icon.
- Renamed "Contact List" to "MailChimp List".


### 1.0.beta-1
- Changed text on list page when settings haven't been configured.
- Created POT file.


### 0.2 | 2010-12-15
- Map Fields column headers to ?List Fields? and ?Form Fields? and bol.
- Rename button to "Save Feed" for a new feed and "Update Feed" for an existing one.
- Settings page subnavigation to look like "Edit Forms" subnav (i.e. All | Active | Inactive) with no pipe at the end.
- Try adding menu item between Entries and Settings.
- Move "Add Feed" to top right (like posts page) and rename to "Add new".


### 0.1 | 2010-12-15
- Split logic from Feeds Add-On.
- Implemented automatic upgrade.
- Implemented list page checkboxes (for bulk actions).
- Implemented active/inactive icons on list page.
